Submit a Robot session message
Queue a message in a Robot session. The session is created when it does not already exist. New sessions use Denbot unless `robotId` selects a custom Robot, which then remains the root Robot for the session. Submission is asynchronous. The response identifies the accepted message and the session stream. Compatible queued messages may later be consumed together by one Robot turn.
Queue a message in a Robot session. The session is created when it does
not already exist. New sessions use Denbot unless robotId selects a
custom Robot, which then remains the root Robot for the session.
Submission is asynchronous. The response identifies the accepted message and the session stream. Compatible queued messages may later be consumed together by one Robot turn.
storyden-session<token>application/json- body
id*stringUnique identifier for this chat request
threadId?stringOptional thread ID if this chat is part of a thread context
sessionId?stringSession ID to continue an existing conversation
robotId?stringOptional Robot ID to use as the root when creating a new session. Omit this field to use Denbot. It cannot switch the root Robot of an existing session.
messages*array<>Array of chat messages in the conversation
data?Additional data for the chat request
context?Context about the page/item the user is viewing
workspace?Workspace mount request. Provide either workspace_id or workspace_instance_id, not both.
client_tools?Browser instance and its currently registered WebMCP tools.
Robot session message accepted for asynchronous processing.
application/json- response
streamUrl*stringRelative URL of the Robot session stream.
sessionId*IdentifierA unique identifier for this resource.
xidmessageId*IdentifierA unique identifier for this resource.
xidcurl -X POST 'https://example.com/api/robots/sessions' \ -H 'Content-Type: application/json' \ -d '{ "id": "string", "messages": [ {} ]}'{ "streamUrl": "string", "sessionId": "string", "messageId": "string"}Update a robot provider PATCH
Update a Robot model provider configuration. API keys are write-only and are redacted from responses.
Get a robot session GET
Retrieve a specific robot session with a page of its messages. Sessions can involve interactions with multiple Robots, so Robot-authored messages identify the Robot. Messages may not be representative of exactly what is sent into a language model, as certain optimisations may be performed before this such as compaction, summarisation or removal of irrelevant context. Any member with `USE_ROBOTS` can see other members' sessions and messages with a Robot. Robots are not considered private assistants, but rather shared tools for the team to use for managing their community. The default page contains up to 50 messages. The `limit` parameter is clamped to 1–100; use `before` with the returned message cursor to load older history. Reading a session records the requesting account's view and acknowledges session events through the returned stream offset.